<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
$numfactura=$_POST["numfactura"];
$cdgtipven=$_POST["combotipoventa"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfactura2=$_POST["numfactura2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND apartados.cdgcli='$cdgcli'"; }
if ($cdgtipven <> "") { $where.=" AND apartados.cdgtipven='$cdgtipven'"; }
//if ($numfactura2 <> "") { $where.=" AND apartados.numfactura='$numfactura2'"; }
if ($dsccli <> "") { $where.=" AND web_0301.dsccli like '%".$dsccli."%'"; }
if ($numfactura <> "") { $where.=" AND numfactura='$numfactura'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND apartados.fecha between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND apartados.fecha>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND apartados.fecha<='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY codfactura DESC";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT * FROM apartados,web_0301 WHERE  apartados.cdgcli=web_0301.cdgcli AND ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


function imprimir(codfactura,marcaborrado) {
	if (marcaborrado==1) {
  
   alert ("Apartado ya fue Anulado no puede ser reimpresa favor verifique")
  
	 
	} else {	

		window.open("../fpdf/imprimir_apartado.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura );
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);

			
			}
		}



		
	function ver_proforma(codfactura,modpro) {
		
		if (modpro=='CXC') {
		
		parent.location.href="../Clientes/ver_cxc.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	
		} else {
		
		parent.location.href="ver_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	

		}}
		
		
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////
		
		function eliminar_proforma(codfactura,marcaestado,modpro) {
			if (modpro=='CXC') {
				parent.location.href="../Clientes/eliminar_cxc.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}


					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalapartados.value=document.getElementById("totalapartados").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalapartados" id="totalapartados" value="<?php echo $totalapartados?>">

<?php
$contador=0;
if ( $filas > 0) {
 
$consulta = "SELECT modpro,cdgtipven, codfactura,apartados.dsccli as dsccli,web_0301.cdgcli as cdgcli,apartados.fecha as fecha,apartados.horfac as horfac, apartados.borrado as borrado, totalfactura,estado,numfactura FROM apartados,web_0301 WHERE  apartados.cdgcli=web_0301.cdgcli AND ".$where;

if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestado = $fila["estado"];
        $marcaborrado = $fila["borrado"];
        $horfac = $fila["horfac"];
        $fecha = $fila["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $fila["cdgtipven"];
		$numfactura = $fila["numfactura"];
		$cdgcli = $fila["cdgcli"];
		$dsccli = $fila["dsccli"];
		$totalfactura = $fila["totalfactura"];
		$codfactura = $fila["codfactura"];
		$modpro = $fila["modpro"];
		
        $dsccli = substr($dsccli, 0, 55);  

		if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($cdgtipven == 1) { $tipo="CONTADO"; } else { $tipo="CREDITO"; } 
		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="8%"><div align="left"><?php echo $numfactura ?> </div></td>
								<td width="13%" align="center"><div align="center"><?php echo $fecha?></div></td>
								<td width="6%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
								<td width="42%"><div align="left"><?php echo 	$dsccli?></div></td>	
								<td width="9%"><div align="center"><?php echo $tipo; ?></div></td>	
                                <td width="12%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
		
								<td width="2%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $codfactura  ?>,'<?php echo $marcaborrado ?>' )"></a></td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_proforma(<?php echo  $codfactura ?>,'<?php echo  $marcaborrado ?>' )" title="Visualizar"></a></div></td>
								<td width="4%"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" alt="d" width="25" height="25" border="0" title="Anular proforma" onClick="eliminar_proforma('<?php  echo $codfactura ?>'  )"></a></td>
			  </tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna factura que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
